# wxStaticText Class Reference
[Controls]

`#include <wx/stattext.h>`

Inheritance diagram for wxStaticText:
[legend]

## Detailed Description

A static text control displays one or more lines of read-only text.

wxStaticText supports the three classic text alignments, label ellipsization i.e. replacing parts of the text with the ellipsis ("...") if the label doesn't fit into the provided space and also formatting markup with wxControl::SetLabelMarkup().

## Styles

This class supports the following styles:

- wxALIGN_LEFT:
  Align the text to the left.
- wxALIGN_RIGHT:
  Align the text to the right.
- wxALIGN_CENTRE:
  Center the text (horizontally).
- wxST_NO_AUTORESIZE:
  By default, the control will adjust its size to exactly fit to the size of the text when SetLabel() is called. If this style flag is given, the control will not change its size (this style is especially useful with controls which also have the `wxALIGN_RIGHT` or the `wxALIGN_CENTRE` style because otherwise they won't make sense any longer after a call to SetLabel()).
- wxST_ELLIPSIZE_START:
  If the labeltext width exceeds the control width, replace the beginning of the label with an ellipsis; uses wxControl::Ellipsize.
- wxST_ELLIPSIZE_MIDDLE:
  If the label text width exceeds the control width, replace the middle of the label with an ellipsis; uses wxControl::Ellipsize.
- wxST_ELLIPSIZE_END:
  If the label text width exceeds the control width, replace the end of the label with an ellipsis; uses wxControl::Ellipsize.

##

Library: wxCore

Category: Controls
Appearance:

wxMSW appearance | wxGTK appearance | wxMac appearance

See also:
  wxStaticBitmap, wxStaticBox

## Public Member Functions
| wxStaticText ()
| Default constructor.
| wxStaticText (wxWindow *parent, wxWindowID id, const wxString &label, const wxPoint &pos=wxDefaultPosition, const wxSize &size=wxDefaultSize, long style=0, const wxString &name=wxStaticTextNameStr)
| Constructor, creating and showing a text control.
bool | Create (wxWindow *parent, wxWindowID id, const wxString &label, const wxPoint &pos=wxDefaultPosition, const wxSize &size=wxDefaultSize, long style=0, const wxString &name=wxStaticTextNameStr)
| Creation function, for two-step construction.
bool | IsEllipsized () const
| Returns true if the window styles for this control contains one of the `wxST_ELLIPSIZE_START`, `wxST_ELLIPSIZE_MIDDLE` or `wxST_ELLIPSIZE_END` styles.
void | Wrap (int width)
| This functions wraps the controls label so that each of its lines becomes at most width pixels wide if possible (the lines are broken at words boundaries so it might not be the case if words are too long).

List of all members.

## Constructor & Destructor Documentation

wxStaticText::wxStaticText | ( |  | ) |

Default constructor.

wxStaticText::wxStaticText | ( | wxWindow * | parent,
|  | wxWindowID | id,
|  | const wxString & | label,
|  | const wxPoint & | pos = `wxDefaultPosition`,
|  | const wxSize & | size = `wxDefaultSize`,
|  | long | style = `0`,
|  | const wxString & | name = `wxStaticTextNameStr` |
| ) |  |  |

Constructor, creating and showing a text control.

Parameters:

  | parent | Parent window. Should not be NULL.
  | id | Control identifier. A value of -1 denotes a default value.
  | label | Text label.
  | pos | Window position.
  | size | Window size.
  | style | Window style. See wxStaticText.
  | name | Window name.

See also:
  Create()

## Member Function Documentation

bool wxStaticText::Create | ( | wxWindow * | parent,
|  | wxWindowID | id,
|  | const wxString & | label,
|  | const wxPoint & | pos = `wxDefaultPosition`,
|  | const wxSize & | size = `wxDefaultSize`,
|  | long | style = `0`,
|  | const wxString & | name = `wxStaticTextNameStr` |
| ) |  |  |

Creation function, for two-step construction.

For details see wxStaticText().

bool wxStaticText::IsEllipsized | ( |  | ) | const

Returns true if the window styles for this control contains one of the `wxST_ELLIPSIZE_START`, `wxST_ELLIPSIZE_MIDDLE` or `wxST_ELLIPSIZE_END` styles.

void wxStaticText::Wrap | ( | int | width | ) |

This functions wraps the controls label so that each of its lines becomes at most width pixels wide if possible (the lines are broken at words boundaries so it might not be the case if words are too long).

If width is negative, no wrapping is done. Note that this width is not necessarily the total width of the control, since a few pixels for the border (depending on the controls border style) may be added.

Since:
  2.6.2

|  | [ top ]